ClientCasa
API

Contracts (Terms)

Manage contracts and signing workflows.

GET
/api/v1/contracts
x-api-key<token>

In: header

Query Parameters

page?integer
Default1
Range1 <= value
pageSize?integer
Default25
Range1 <= value <= 100
clientId?string

UUID v4

Formatuuid
status?string
Value in"draft" | "sent" | "viewed" | "active" | "completed" | "expired" | "voided"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://www.clientcasa.com/api/v1/contracts"
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "contractNumber": "string",
      "title": "string",
      "clientId": "550e8400-e29b-41d4-a716-446655440000",
      "billingContactId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "sourceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "draft",
      "signingMode": "client_only",
      "contentType": "tiptap",
      "issueDate": "2019-08-24",
      "effectiveDate": "2019-08-24",
      "expirationDate": "2019-08-24",
      "signedDate": "2019-08-24T14:15:22Z",
      "currency": "string",
      "contractValue": 0,
      "signers": [
        {
          "contactId": "550e8400-e29b-41d4-a716-446655440000",
          "name": "string",
          "email": "user@example.com",
          "role": "string",
          "order": 0,
          "status": "string",
          "signedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "archived": true,
      "archivedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": 1,
    "pageSize": 1,
    "total": 0,
    "totalPages": 0,
    "hasMore": true
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
POST
/api/v1/contracts
x-api-key<token>

In: header

Header Parameters

Idempotency-Key?string

Optional unique key that makes this create safely retryable. Replaying the same key returns the original response instead of creating a duplicate; reusing a key with a different request body returns 409.

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://www.clientcasa.com/api/v1/contracts" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "clientId": "550e8400-e29b-41d4-a716-446655440000"  }'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "contractNumber": "string",
  "title": "string",
  "clientId": "550e8400-e29b-41d4-a716-446655440000",
  "billingContactId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "sourceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "draft",
  "signingMode": "client_only",
  "contentType": "tiptap",
  "issueDate": "2019-08-24",
  "effectiveDate": "2019-08-24",
  "expirationDate": "2019-08-24",
  "signedDate": "2019-08-24T14:15:22Z",
  "currency": "string",
  "contractValue": 0,
  "signers": [
    {
      "contactId": "550e8400-e29b-41d4-a716-446655440000",
      "name": "string",
      "email": "user@example.com",
      "role": "string",
      "order": 0,
      "status": "string",
      "signedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "archived": true,
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
GET
/api/v1/contracts/{id}
x-api-key<token>

In: header

Path Parameters

id*string

UUID v4

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://www.clientcasa.com/api/v1/contracts/550e8400-e29b-41d4-a716-446655440000"
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "contractNumber": "string",
  "title": "string",
  "clientId": "550e8400-e29b-41d4-a716-446655440000",
  "billingContactId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "sourceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "draft",
  "signingMode": "client_only",
  "contentType": "tiptap",
  "issueDate": "2019-08-24",
  "effectiveDate": "2019-08-24",
  "expirationDate": "2019-08-24",
  "signedDate": "2019-08-24T14:15:22Z",
  "currency": "string",
  "contractValue": 0,
  "signers": [
    {
      "contactId": "550e8400-e29b-41d4-a716-446655440000",
      "name": "string",
      "email": "user@example.com",
      "role": "string",
      "order": 0,
      "status": "string",
      "signedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "archived": true,
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
PATCH
/api/v1/contracts/{id}
x-api-key<token>

In: header

Path Parameters

id*string

UUID v4

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://www.clientcasa.com/api/v1/contracts/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "contractNumber": "string",
  "title": "string",
  "clientId": "550e8400-e29b-41d4-a716-446655440000",
  "billingContactId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "sourceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "draft",
  "signingMode": "client_only",
  "contentType": "tiptap",
  "issueDate": "2019-08-24",
  "effectiveDate": "2019-08-24",
  "expirationDate": "2019-08-24",
  "signedDate": "2019-08-24T14:15:22Z",
  "currency": "string",
  "contractValue": 0,
  "signers": [
    {
      "contactId": "550e8400-e29b-41d4-a716-446655440000",
      "name": "string",
      "email": "user@example.com",
      "role": "string",
      "order": 0,
      "status": "string",
      "signedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "archived": true,
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
DELETE
/api/v1/contracts/{id}
x-api-key<token>

In: header

Path Parameters

id*string

UUID v4

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://www.clientcasa.com/api/v1/contracts/550e8400-e29b-41d4-a716-446655440000"
Empty
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}